/*
 * util.c
 */

__asm("	text\n	dc.b	'$Id: util.c,v 1.4 1998/06/09 13:02:46 sharl Exp $'\n	even\n");

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <err.h>

#include "util.h"

/****************************************
	ی@\ malloc
****************************************/
void *
xmalloc(size_t len)
{
	void *p;

	if ((p = malloc(len)) == NULL)
		errx(EXIT_FAILURE, "malloc");
	return p;
}

/****************************************
	ی@\ realloc
****************************************/
void *
xrealloc(void *p, size_t len)
{
	if ((p = realloc(p, len)) == NULL)
		errx(EXIT_FAILURE, "realloc");
	return p;
}

/****************************************
	ی@\ strdup
****************************************/
char *
xstrdup(const char *str)
{
	char *p;

	p = xmalloc(strlen(str) + 1);
	strcpy(p, str);
	return p;
}

/****************************************
	ݎ擾
****************************************/
char *
getnow()
{
	static char buf[5 + 1];
	struct tm *tim;
	time_t t;

	t = time(NULL);
	tim = localtime(&t);
	sprintf(buf, "%02d:%02d", tim->tm_hour, tim->tm_min);
	return buf;
}
